Page MenuHomePhabricator

Switching properties with different datatype doesn't update input field if it's blank
Closed, ResolvedPublic

Description

We have this:

Changing qualifiers with blank input don't update the input field.
That'd be somewhat ok, except that the qualifiers can be of a different datatype, in which case the input field should update to support input for the new datatype.

We want this:

The input field should update to support input for the new datatype.

Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

  • Add a new qualifier
  • Select property 'quantity'
  • Input field has changed to numeric input
  • Select different property (e.g. 'color')
  • Input field has changed to property input (autocomplete values)

QA Results

ACStatusDetails
1T226101#5298798
2T226101#5298798

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterDon't only propagate changes when we can build a valid snak

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJun 19 2019, 1:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 517852 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Don't only propagate changes when we can build a valid snak

https://gerrit.wikimedia.org/r/517852

Change 517852 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Don't only propagate changes when we can build a valid snak

https://gerrit.wikimedia.org/r/517852

Edtadros reassigned this task from Edtadros to Ramsey-WMF.Jul 2 2019, 12:21 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

✅ AC1: Add a new qualifier
Select property 'quantity'
Input field has changed to numeric input

✅AC2: Select different property (e.g. 'color')
Input field has changed to property input (autocomplete values)

Edtadros updated the task description. (Show Details)Jul 2 2019, 12:22 AM
Ramsey-WMF closed this task as Resolved.Jul 31 2019, 11:09 PM

Works on production.